Bug 1596338 - [RFE] Automate - Expose max_retries override at instance level
Summary: [RFE] Automate - Expose max_retries override at instance level
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.10.0
Assignee: Harpreet Kataria
QA Contact: Yadnyawalk Tale
URL:
Whiteboard:
Depends On:
Blocks: 1598528
TreeView+ depends on / blocked
 
Reported: 2018-06-28 16:12 UTC by Fabien Dupont
Modified: 2019-02-11 13:58 UTC (History)
9 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1598528 (view as bug list)
Environment:
Last Closed: 2019-02-11 13:58:47 UTC
Category: ---
Cloudforms Team: CFME Core


Attachments (Terms of Use)
automate.log (16.00 KB, text/plain)
2018-08-08 10:55 UTC, Yadnyawalk Tale
no flags Details


Links
System ID Priority Status Summary Last Updated
Github ManageIQ manageiq-ui-classic pull 3562 None None None 2018-07-09 09:14:47 UTC
Github https://github.com/ManageIQ manageiq-automation_engine issues 163 None None None 2018-06-28 16:13:32 UTC
Github https://github.com/ManageIQ manageiq-ui-classic issues 3560 None None None 2018-06-28 16:12:41 UTC

Description Fabien Dupont 2018-06-28 16:12:41 UTC
When one creates a state machine, the maximum number of retries for a state is set at the class level. However, a use case of state machines is to create generic state machines where the state name is 'StateX' and URI is specified only at the instance level, not the class. In this case, to stay generic, one is tempted to set the maximum number of retries to a very high number for each state, to cover whatever situation at the instance level.

Allowing to override the maximum number of retries at the instance level would help creating generic state machine classes (scaffolds) with no maximum retries set, and then let the instance specify the maximum retries based on the actual URI.

According to @mkanoor, the max_retries can already be set at the instance level in the backend code, but the UI currently doesn't support it. So I create this issue to politely ask for someone to add this in th Classic UI.

Comment 7 Yadnyawalk Tale 2018-08-08 10:55:16 UTC
Created attachment 1474269 [details]
automate.log

Fixed! I can confirm max_retries is at instance level in StateMachines UI.
Rechecked it by executing state machine via simulation.

1. Created domain and class
2. Created `meth1` method and `meth1_instance` instance in class
(domain attached)
3. Created state machine, added instance there and pointed value to `meth1_instance`
4. Added max_retries value as 3 in instance and 2 in class
5. In simulation, used `Call_Instance` with namespace, class and instance with Attribute/Value Pairs.

After submiting request we got three retries, which was what we were expected.
(automation.log attached)

Found features works very well, great work folks!
Verified on: 5.10.0.6.20180725145922_d299ff5 

Thanks!


Note You need to log in before you can comment on or make changes to this bug.